=== modified file 'src/seat-xvnc.c'
--- src/seat-xvnc.c	2013-04-12 03:16:00 +0000
+++ src/seat-xvnc.c	2013-04-12 03:38:56 +0000
@@ -41,7 +41,7 @@
     xserver = xserver_xvnc_new ();
     xserver_xvnc_set_socket (xserver, g_socket_get_fd (SEAT_XVNC (seat)->priv->connection));
 
-    command = config_get_string (config_get_instance (), "VNCServer", "xserver-command");
+    command = config_get_string (config_get_instance (), "VNCServer", "command");
     if (command)
         xserver_xvnc_set_command (xserver, command);
 

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2013-04-03 02:48:15 +0000
+++ tests/Makefile.am	2013-04-12 03:38:56 +0000
@@ -128,6 +128,8 @@
 	test-switch-to-user-no-password \
 	test-switch-to-user-logout \
 	test-vnc-login \
+	test-vnc-command \
+	test-vnc-open-file-descriptors \
 	test-xdmcp-login \
 	test-no-accounts-service \
 	test-console-kit \
@@ -313,7 +315,9 @@
 	scripts/util-path.conf \
 	scripts/user-renamed.conf \
 	scripts/user-renamed-invalid.conf \
+	scripts/vnc-command.conf \
 	scripts/vnc-login.conf \
+	scripts/vnc-open-file-descriptors.conf \
 	scripts/xauthority.conf \
 	scripts/xdmcp-login.conf \
 	scripts/xdmcp-open-file-descriptors.conf \

=== modified file 'tests/scripts/vnc-command.conf'
--- tests/scripts/vnc-command.conf	2013-04-12 03:16:00 +0000
+++ tests/scripts/vnc-command.conf	2013-04-12 03:38:56 +0000
@@ -9,7 +9,7 @@
 [VNCServer]
 enabled=true
 port=9999
-command=Xvnc -depth 16
+command=Xvnc -option
 
 #?RUNNER DAEMON-START
 #?*WAIT 1
@@ -20,7 +20,7 @@
 #?VNC-CLIENT CONNECT SERVER=::9999
 
 # Xvnc server starts
-#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=16
+#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=8 OPTION=TRUE
 
 # Clean up
 #?*STOP-DAEMON

=== modified file 'tests/scripts/vnc-login.conf'
--- tests/scripts/vnc-login.conf	2012-09-27 05:01:36 +0000
+++ tests/scripts/vnc-login.conf	2013-04-12 03:38:56 +0000
@@ -19,7 +19,7 @@
 #?VNC-CLIENT CONNECT SERVER=::9999
 
 # Xvnc server starts
-#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=8
+#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=8 OPTION=FALSE
 
 # Negotiate with Xvnc
 #?VNC-CLIENT CONNECTED VERSION="RFB 003.007"

=== modified file 'tests/scripts/vnc-open-file-descriptors.conf'
--- tests/scripts/vnc-open-file-descriptors.conf	2012-03-05 00:23:32 +0000
+++ tests/scripts/vnc-open-file-descriptors.conf	2013-04-12 03:38:56 +0000
@@ -19,7 +19,7 @@
 #?VNC-CLIENT CONNECT SERVER=::9999
 
 # Xvnc server starts
-#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=8
+#?XSERVER :50 START GEOMETRY=1024x768 DEPTH=8 OPTION=FALSE
 
 # Negotiate with Xvnc
 #?VNC-CLIENT CONNECTED VERSION="RFB 003.007"

=== modified file 'tests/src/Xvnc.c'
--- tests/src/Xvnc.c	2013-02-15 08:31:53 +0000
+++ tests/src/Xvnc.c	2013-04-12 03:38:56 +0000
@@ -174,6 +174,7 @@
     gboolean listen_tcp = TRUE;
     gboolean listen_unix = TRUE;
     gboolean use_inetd = FALSE;
+    gboolean has_option = FALSE;
     gchar *geometry = g_strdup ("640x480");
     gint depth = 8;
     int lock_file;
@@ -228,6 +229,10 @@
         {
             use_inetd = TRUE;
         }
+        else if (strcmp (arg, "-option") == 0)
+        {
+            has_option = TRUE;
+        }
         else
         {
             g_printerr ("Unrecognized option: %s\n"
@@ -248,7 +253,7 @@
     x_server_set_listen_unix (xserver, listen_unix);
     x_server_set_listen_tcp (xserver, listen_tcp);
 
-    status_notify ("XSERVER :%d START GEOMETRY=%s DEPTH=%d", display_number, geometry, depth);
+    status_notify ("XSERVER :%d START GEOMETRY=%s DEPTH=%d OPTION=%s", display_number, geometry, depth, has_option ? "TRUE" : "FALSE");
 
     config = g_key_file_new ();
     g_key_file_load_from_file (config, g_build_filename (g_getenv ("LIGHTDM_TEST_ROOT"), "script", NULL), G_KEY_FILE_NONE, NULL);

=== modified file 'tests/src/vnc-client.c'
--- tests/src/vnc-client.c	2013-02-15 08:31:53 +0000
+++ tests/src/vnc-client.c	2013-04-12 03:38:56 +0000
@@ -81,7 +81,7 @@
     if (error)
         g_warning ("Unable to receive on VNC socket: %s", error->message);
     g_clear_error (&error);
-    if (n_read < 0)
+    if (n_read <= 0)
         return EXIT_FAILURE;
 
     buffer[n_read] = '\0';

=== modified file 'tests/test-vnc-command'
--- tests/test-vnc-command	2013-04-12 03:16:00 +0000
+++ tests/test-vnc-command	2013-04-12 03:38:56 +0000
@@ -1,2 +1,2 @@
 #!/bin/sh
-./src/dbus-env ./src/test-runner vnc-login test-gobject-greeter
+./src/dbus-env ./src/test-runner vnc-command test-gobject-greeter

